Bug 189496 - [patch] update databases/libiodbc to v3.52.9
Summary: [patch] update databases/libiodbc to v3.52.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-09 09:50 UTC by Jia-Shiun Li
Modified: 2014-05-20 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.83 KB, patch)
2014-05-09 09:50 UTC, Jia-Shiun Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jia-Shiun Li 2014-05-09 09:50:01 UTC
Update databases/libiodbc to v3.52.9.

For me I am fixing the parallel build error of v3.52.8 in the middle of a kde4 build. This was fixed in v3.52.9 upstream [1]. Not tested to see if any run-time behavior changes though.

[1] http://www.iodbc.org/dataspace/iodbc/wiki/iODBC/ChangeNotes

Fix: patch attached to update to v3.52.9. Plus minor format change to pkg-descr per suggested by porttools.

Patch attached with submission follows:
How-To-Repeat: jsli@4cbsd:/usr/ports/databases/libiodbc # time make -DBATCH
..
..
--- libiodbcadm-gtk.la ---
/bin/sh ../../libtool --tag=CC    --mode=link cc -O2 -pipe  -fno-strict-aliasing -DODBCVER=0x0350 -DIODBC_BUILD=8120326 -pthread -D__GTK__ -DDATEBUILD=\"`date +%d/%m/%Y_%T`\" -O2 -pipe  -fno-strict-aliasing -DODBCVER=0x0350 -DIODBC_BUILD=8120326 -pthread    -o libiodbcadm-gtk.la  administrator.lo confirm.lo  connectionpooling.lo driverchooser.lo driversetup.lo  dsnchooser.lo errorbox.lo gensetup.lo main.lo messagebox.lo  translatorchooser.lo -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lXfixes -lX11 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -L/usr/local/lib -lfreetype
libtool: link: ar cru .libs/libiodbcadm-gtk.a .libs/administrator.o .libs/confirm.o .libs/connectionpooling.o .libs/driverchooser.o .libs/driversetup.o .libs/dsnchooser.o .libs/errorbox.o .libs/gensetup.o .libs/main.o .libs/messagebox.o .libs/translatorchooser.o
libtool: link: ranlib .libs/libiodbcadm-gtk.a
libtool: link: ( cd ".libs" && rm -f "libiodbcadm-gtk.la" && ln -s "../libiodbcadm-gtk.la" "libiodbcadm-gtk.la" )
make[3]: make[3]: don't know how to make ../iodbcadm/libiodbcadm.la. Stop

make[3]: stopped in /usr/ports/databases/libiodbc/work/libiodbc-3.52.8/iodbcadm
*** [all-recursive] Error code 1

make[2]: stopped in /usr/ports/databases/libiodbc/work/libiodbc-3.52.8/iodbcadm
1 error

make[2]: stopped in /usr/ports/databases/libiodbc/work/libiodbc-3.52.8/iodbcadm
*** [all-recursive] Error code 1

make[1]: stopped in /usr/ports/databases/libiodbc/work/libiodbc-3.52.8
1 error

make[1]: stopped in /usr/ports/databases/libiodbc/work/libiodbc-3.52.8
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/libiodbc
33.310u 66.513s 0:42.11 237.0%  25324+293k 0+130io 0pf+0w
jsli@4cbsd:/usr/ports/databases/libiodbc #
Comment 1 Edwin Groothuis freebsd_committer 2014-05-09 09:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-19 12:44:55 UTC
Author: rakuco
Date: Mon May 19 11:44:50 2014
New Revision: 354528
URL: http://svnweb.freebsd.org/changeset/ports/354528
QAT: https://qat.redports.org/buildarchive/r354528/

Log:
  Update to 3.52.9.
  
  Changes upstream include:
  * Added support for building on recent versions of Mac OS X
  * Fixed warnings from autoconf/automake
  * Fixed infinite loop in connection pool
  * Fixed compiler warnings
  * Fixed build dependency for make -jX
  * Fixed check for Unicode driver
  * Fixed issue calling SQLCancel from other thread
  * Fixed SQLInstallDriverEx when driver is readonly
  
  The "Fixed build dependency for make -jX" part is important, as parallel
  builds (particularly with the GTK2 option on) normally fail with 3.52.8.
  
  Based on a patch by Jia-Shiun Li <jiashiun@gmail.com> [1].
  
  PR:		ports/189496 [1]
  Submitted by:	Jia-Shiun Li <jiashiun@gmail.com> [1]
  MFH:		2014Q2

Modified:
  head/databases/libiodbc/Makefile
  head/databases/libiodbc/distinfo
  head/databases/libiodbc/pkg-descr

Modified: head/databases/libiodbc/Makefile
==============================================================================
--- head/databases/libiodbc/Makefile	Mon May 19 09:57:54 2014	(r354527)
+++ head/databases/libiodbc/Makefile	Mon May 19 11:44:50 2014	(r354528)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	libiodbc
-PORTVERSION=	3.52.8
-PORTREVISION=	2
+PORTVERSION=	3.52.9
 CATEGORIES=	databases
 MASTER_SITES=	SF/iodbc/iodbc/${PORTVERSION}
 

Modified: head/databases/libiodbc/distinfo
==============================================================================
--- head/databases/libiodbc/distinfo	Mon May 19 09:57:54 2014	(r354527)
+++ head/databases/libiodbc/distinfo	Mon May 19 11:44:50 2014	(r354528)
@@ -1,2 +1,2 @@
-SHA256 (libiodbc-3.52.8.tar.gz) = 18165501fbdb5ab8c445d07365907b77c0c20887aecf37ed2b88aacd9c59129a
-SIZE (libiodbc-3.52.8.tar.gz) = 1089784
+SHA256 (libiodbc-3.52.9.tar.gz) = 33207d9f477aa5fa76962ff644baa38e59255b96812f28574794659fb61a7ab2
+SIZE (libiodbc-3.52.9.tar.gz) = 1094234

Modified: head/databases/libiodbc/pkg-descr
==============================================================================
--- head/databases/libiodbc/pkg-descr	Mon May 19 09:57:54 2014	(r354527)
+++ head/databases/libiodbc/pkg-descr	Mon May 19 11:44:50 2014	(r354528)
@@ -5,9 +5,9 @@ function sequence checking, driver funct
 
 Applications linked with the iODBC driver manager will be able - through ODBC
 function calls - to access simultaneously different types of data sources
-within one process through suitable ODBC drivers. 
-		
+within one process through suitable ODBC drivers.
+
 iODBC is freely redistributable under either the GNU Library General Public
 Licence (LGPL) or the BSD licence.
 
-WWW:     http://www.iodbc.org/
+WWW: http://www.iodbc.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Raphael Kubo da Costa freebsd_committer 2014-05-19 12:45:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2014-05-20 21:17:47 UTC
Author: rakuco
Date: Tue May 20 20:17:43 2014
New Revision: 354682
URL: http://svnweb.freebsd.org/changeset/ports/354682
QAT: https://qat.redports.org/buildarchive/r354682/

Log:
  MFH: r354528
  
  Update to 3.52.9.
  
  Changes upstream include:
  * Added support for building on recent versions of Mac OS X
  * Fixed warnings from autoconf/automake
  * Fixed infinite loop in connection pool
  * Fixed compiler warnings
  * Fixed build dependency for make -jX
  * Fixed check for Unicode driver
  * Fixed issue calling SQLCancel from other thread
  * Fixed SQLInstallDriverEx when driver is readonly
  
  The "Fixed build dependency for make -jX" part is important, as parallel
  builds (particularly with the GTK2 option on) normally fail with 3.52.8.
  
  Based on a patch by Jia-Shiun Li <jiashiun@gmail.com> [1].
  
  PR:		ports/189496 [1]
  Submitted by:	Jia-Shiun Li <jiashiun@gmail.com> [1]
  
  Approved by:	portmgr (miwi)

Modified:
  branches/2014Q2/databases/libiodbc/Makefile
  branches/2014Q2/databases/libiodbc/distinfo
  branches/2014Q2/databases/libiodbc/pkg-descr
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/databases/libiodbc/Makefile
==============================================================================
--- branches/2014Q2/databases/libiodbc/Makefile	Tue May 20 20:15:04 2014	(r354681)
+++ branches/2014Q2/databases/libiodbc/Makefile	Tue May 20 20:17:43 2014	(r354682)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	libiodbc
-PORTVERSION=	3.52.8
+PORTVERSION=	3.52.9
 CATEGORIES=	databases
 MASTER_SITES=	SF/iodbc/iodbc/${PORTVERSION}
 

Modified: branches/2014Q2/databases/libiodbc/distinfo
==============================================================================
--- branches/2014Q2/databases/libiodbc/distinfo	Tue May 20 20:15:04 2014	(r354681)
+++ branches/2014Q2/databases/libiodbc/distinfo	Tue May 20 20:17:43 2014	(r354682)
@@ -1,2 +1,2 @@
-SHA256 (libiodbc-3.52.8.tar.gz) = 18165501fbdb5ab8c445d07365907b77c0c20887aecf37ed2b88aacd9c59129a
-SIZE (libiodbc-3.52.8.tar.gz) = 1089784
+SHA256 (libiodbc-3.52.9.tar.gz) = 33207d9f477aa5fa76962ff644baa38e59255b96812f28574794659fb61a7ab2
+SIZE (libiodbc-3.52.9.tar.gz) = 1094234

Modified: branches/2014Q2/databases/libiodbc/pkg-descr
==============================================================================
--- branches/2014Q2/databases/libiodbc/pkg-descr	Tue May 20 20:15:04 2014	(r354681)
+++ branches/2014Q2/databases/libiodbc/pkg-descr	Tue May 20 20:17:43 2014	(r354682)
@@ -5,9 +5,9 @@ function sequence checking, driver funct
 
 Applications linked with the iODBC driver manager will be able - through ODBC
 function calls - to access simultaneously different types of data sources
-within one process through suitable ODBC drivers. 
-		
+within one process through suitable ODBC drivers.
+
 iODBC is freely redistributable under either the GNU Library General Public
 Licence (LGPL) or the BSD licence.
 
-WWW:     http://www.iodbc.org/
+WWW: http://www.iodbc.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"